Name "Wave For Windows Beta"
Icon "C:\Program Files\NSIS\main.ico"
OutFile "install-wave.exe"

InstallDir $PROGRAMFILES\wave
InstallDirRegKey HKLM SOFTWARE\PHYSIONET_WAVE "Install_Dir"

ComponentText "This will install Wave for Windows on your computer."
DirText "Choose a directory to install in to:"

EnabledBitmap "C:\Program Files\NSIS\enable.bmp"
DisabledBitmap "C:\Program Files\NSIS\disable.bmp"

Section "Wave (required)"
  SetOutPath $INSTDIR
  File "C:\wave\*.exe"
  File "C:\wave\dlls\*.*"
  File "C:\wave\README.TXT"
  File "C:\wave\INSTALL.TXT"
  File "C:\wave\Defaults"
  File "C:\wave\wavemenu.def"
  File "C:\wave\anntab"
  File "C:\wave\wave.ico"
  WriteRegStr HKLM SOFTWARE\PHYSIONET_WAVE "Install_Dir" "$INSTDIR"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Wave" "DisplayName" "Wave for Windows (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Wave" "UninstallString" '"$INSTDIR\uninstall.exe"'
SectionEnd

Section "PhysioTools (recomended)"
  SetOutPath $INSTDIR
  File "C:\wave\wfdb\*.*"
SectionEnd

Section "Example Record"
  SetOutPath $INSTDIR
  File "C:\wave\examples\*.*"
SectionEnd

Section "Start Menu Shortcuts"
  CreateDirectory "$SMPROGRAMS\Wave"
  CreateShortCut "$SMPROGRAMS\Wave\Wave.lnk" "$INSTDIR\wave.exe" "$INSTDIR\wave.ico"
  CreateShortCut "$SMPROGRAMS\Wave\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
SectionEnd

Function .onInstSuccess
   ExecShell open '$INSTDIR\README.TXT'
FunctionEnd

UninstallText "This will uninstall Wave for Windows. Hit next to continue."
UninstallExeName "uninstall.exe"
UninstallIcon "C:\Program Files\NSIS\uninst.ico"

Section "Uninstall"
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Wave"
  DeleteRegKey HKLM SOFTWARE\PHYSIONET_WAVE
  Delete $INSTDIR\*.*
  Delete "$SMPROGRAMS\Wave\*.*"
  RMDir "$SMPROGRAMS\Wave"
  RMDir "$INSTDIR"
SectionEnd
