/* file: wave.h	        I. Henry        20 July 2001
			Last revised:   20 July 2001
The include file default fuctions

-------------------------------------------------------------------------------
GTKWave: Waveform analyzer, viewer, and editor (GTK+ port)
Copyright (C) 2001 George B. Moody and Isaac C. Henry

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place - Suite 330, Boston, MA 02111-1307, USA.

You may contact the author by e-mail (ihenry@physionet.org) or postal mail
(MIT Room E25-505A, Cambridge, MA 02139 USA).  For updates to this software,
please visit PhysioNet (http://www.physionet.org/).
_______________________________________________________________________________

*/

#include <glib.h>

#ifdef __WIN32__
#define WAVE_DIR_SEPARATOR "\\"
#else
#define WAVE_DIR_SEPARATOR "/"
#endif


gint   set_defaults_file      ( gchar *path  );
gchar* get_defaults_file      ( );
gint   defaults_load_db       ( );
gint   defaults_store_db      ( );
void  defaults_destroy_db    ( );
void  defaults_set_string    ( gchar *key,   gchar    *val     );
void  defaults_set_integer   ( gchar *key,   gint     val     );
void  defaults_set_boolean   ( gchar *key,   gboolean val     );
gchar* defaults_get_string    ( gchar *key,   gchar    *default_val );
gint   defaults_get_integer   ( gchar *key,   gint     default_val );
gboolean defaults_get_boolean ( gchar *key,   gboolean default_val );

